
CoCoA-5 - Feature #175

Approximate BuchbergerMoeller: port to CoCoA-5

01 Jun 2012 17:47 - Anna Maria Bigatti

Status: In Progress Start date: 01 Jun 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 70%

Category: CoCoA-4 function to be added Estimated time: 0.00 hour

Target version: CoCoA-5.4.4 Spent time: 1.40 hour

Description

It was available in CoCoA-4 through CoCoAServer.

What syntax should it offer?  Probably the same as CoCoA-4.

Related issues:

Related to CoCoA-5 - Design #332: Approx pts preprocessing fns Closed 27 Mar 2013

History

#1 - 26 Feb 2014 17:01 - John Abbott

JAA should respond!

#2 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#3 - 04 Apr 2014 16:25 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

#4 - 07 Apr 2017 10:09 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoA-5.?.? to CoCoA-5.2.0 spring 2017

- % Done changed from 0 to 70

To do:

- call TwinFloat

- check documentation

- Now called ApproxPointsNBM/SOI: find better acronym

Laura, Claudia: what's the difference between the two?

Should they be ApproxPoints1 and 2?

#5 - 28 Apr 2017 15:12 - John Abbott

- Status changed from New to In Progress

Is it better to postpone this than try to rush it?

#6 - 28 Apr 2017 15:40 - Anna Maria Bigatti

- Target version changed from CoCoA-5.2.0 spring 2017 to CoCoA-5.2.2

OK, postponed: I did not receive enough information to make a decision.
#7 - 13 Dec 2017 14:18 - Anna Maria Bigatti

- Target version changed from CoCoA-5.2.2 to CoCoA-5.2.4

#8 - 30 Jul 2018 14:29 - Anna Maria Bigatti

- Target version changed from CoCoA-5.2.4 to CoCoA-5.3.0

#9 - 19 Jan 2020 10:52 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

I believe this is not urgent, and it would also require some time and effort to achieve, so postponing.

Not sure why it is marked as 70% complete.

#10 - 19 Jan 2020 10:52 - John Abbott

- Related to Support #1387: John's visit Feb 2020 added

#11 - 13 Feb 2020 13:59 - John Abbott

- Related to deleted (Support #1387: John's visit Feb 2020)

#12 - 16 Feb 2022 19:54 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

#13 - 14 Mar 2023 22:12 - John Abbott

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.4
